# Makefile.in,v 1.4 1995/11/16 19:26:25 duane Exp

prefix = @prefix@
INSTALL_BINDIR	= $(prefix)/bin
INSTALL_LIBDIR	= $(prefix)/lib
INSTALL_MANDIR 	= $(prefix)/man
INSTALL_UTILDIR	= $(INSTALL_LIBDIR)/gatherer

CC		= @CC@
INSTALL		= @INSTALL@
INSTALL_BIN 	= @INSTALL_PROGRAM@
INSTALL_FILE 	= @INSTALL_DATA@
RANLIB		= @RANLIB@

CFLAGS		= -O
OBJS		= hexbin.o dl.o hecx.o hqx.o mu.o buffer.o \
		  crc.o readline.o printhdr.o globals.o

LIB		= ../crc/libcrc.a
UOBJS		= ../util/transname.o ../util/backtrans.o ../util/util.o
FOBJS		= ../fileio/wrfile.o ../fileio/fileglob.o
XOBJS		= $(UOBJS) $(FOBJS)
CRCS		= ../crc/binhex.c
PROG		= hexbin

all: $(PROG)

$(PROG):	$(OBJS) $(LIB) $(XOBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(XOBJS) $(LIB)

clean:
	-rm -f $(OBJS) $(PROG)

realclean: clean
	-rm -f Makefile

install:	all
	$(INSTALL_BIN) $(PROG) $(INSTALL_UTILDIR)

hexbin.o:	globals.h
hexbin.o:	crc.h
hexbin.o:	readline.h
hexbin.o:	../util/masks.h
hexbin.o:	../util/util.h
hexbin.o:	../util/patchlevel.h
hexbin.o:	../fileio/wrfile.h
hexbin.o:	../fileio/wrfileopt.h
hexbin.o:	../fileio/machdr.h
hexbin.o:	../fileio/kind.h
hexbin.o:	../util/curtime.h
hexbin.o:	hexbin.h
dl.o:	hexbin.h
dl.o:	globals.h
dl.o:	crc.h
dl.o:	readline.h
dl.o:	../fileio/machdr.h
dl.o:	../fileio/wrfile.h
dl.o:	../util/util.h
dl.o:	buffer.h
dl.o:	printhdr.h
hecx.o:	hexbin.h
hecx.o:	globals.h
hecx.o:	crc.h
hecx.o:	readline.h
hecx.o:	../util/masks.h
hecx.o:	../util/util.h
hecx.o:	../fileio/machdr.h
hecx.o:	../fileio/wrfile.h
hecx.o:	buffer.h
hecx.o:	printhdr.h
hqx.o:	hexbin.h
hqx.o:	globals.h
hqx.o:	readline.h
hqx.o:	crc.h
hqx.o:	buffer.h
hqx.o:	../fileio/machdr.h
hqx.o:	../fileio/wrfile.h
hqx.o:	../util/util.h
hqx.o:	printhdr.h
mu.o:	hexbin.h
mu.o:	globals.h
mu.o:	readline.h
mu.o:	../util/masks.h
mu.o:	../util/util.h
mu.o:	../fileio/machdr.h
mu.o:	../fileio/wrfile.h
mu.o:	buffer.h
mu.o:	printhdr.h
buffer.o:	globals.h
buffer.o:	../util/util.h
buffer.o:	buffer.h
buffer.o:	../fileio/wrfile.h
crc.o:	hexbin.h
crc.o:	crc.h
crc.o:	../util/masks.h
crc.o:	globals.h
readline.o:	readline.h
readline.o:	globals.h
printhdr.o:	printhdr.h
printhdr.o:	globals.h
globals.o:	globals.h
globals.o:	../fileio/machdr.h
globals.o:	../fileio/wrfile.h
globals.o:	../fileio/kind.h

